/**
 * MCHOA customizations 
 **/

/* ***** CLEANED UP TO HERE *****/

/* summernote */
/* editor area */
.mc-summernote .note-editor .note-editable {
    background-color: var(--mc-form-field-background-color);
    color: var(--mc-text-color); 
}
/* toolbar */
.mc-summernote .note-editor .note-toolbar {
	background-color: var(--mc-subtle-background-color);
}
/* dropdown menus */
.mc-summernote .note-editor .note-dropdown-menu.dropdown-menu {
	background-color: var(--mc-subtle-background-color);
	border: 1px solid var(--mc-border-color);
}
/* color picker tiles */
.mc-summernote .note-editor .note-toolbar .note-color-palette div .note-color-btn {
	border: 1px solid #000000;
}

/*.ast-icon.icon-arrow
 {
    font-size: 24px; !important
}*/

/*** Post Pages */
/* customization of the various blog pages */
.ast-separate-container .ast-archive-description {
	padding-top: 1em !important;
	padding-bottom: 1em !important;
	background-color: var(--mc-subtle-background-color) !important;
	border-top: 1px;
	border-bottom: 3px;
	border-left: 0px; 
	border-right: 0px;
	border-style: solid;
	border-color: var(--mc-border-color);
	border-radius: var(--mc-container-border-radius);
}
.ast-post-format- {
	background-color: var(--mc-very-subtle-background-color) !important;
	border-width: 1px 1px 1px 1px;
	border-style: solid;
	border-radius: var(--mc-container-border-radius);
	border-color: var(--mc-border-color);
	box-shadow: 10px 10px 10px 0px rgba(0, 0, 0, 0.5) !important;
}
/* the basic posts widget */
.mc-basic-posts .hfe-posts-grid .hfe-post-card {
	background-color: var(--mc-very-subtle-background-color) !important;
	border-width: 1px 1px 1px 1px;
	border-style: solid;
	border-radius: var(--mc-container-border-radius);
	border-color: var(--mc-border-color);
	box-shadow: 10px 10px 10px 0px rgba(0, 0, 0, 0.5);
	overflow: hidden;
}
/* feature image on single post */
.ast-single-post-featured-section {
	height: 300px;
	object-fit: none;
}
.ast-single-post-featured-section img {
	object-fit: cover !important;
}
.ast-article-single {
	padding: 0px !important;
	border-top-left-radius: var(--mc-container-border-radius) !important;
	border-top-right-radius: var(--mc-container-border-radius) !important;
}
.ast-post-format- {
	padding: 12px;
}

/*** Events Manager ***/
/* fix contrast and styling on event_list output */
.em-events-list.em-list {
	grid-gap: .6lh;
}
.em.pixelbones span.mc-event-list-item, .em.pixelbones p.mc-event-list-item {
	font-size: var(--astra-body-font-size);
	line-height: 1.0em;
}
.em.pixelbones .mc-event-list-item a {
	color: var(--mc-brand-color)  !important;
}
/* fix contrast on single event display */
.em.em-item .em-item-meta .em-item-meta-line, .em.em-item .em-item-meta .em-item-meta-line .em-icon {
	color: var(--mc-text-color);
}
.em.em-item .em-item-meta .em-item-meta-line a {
	color: var(--mc-brand-color) !important;
}
/* fix contrast on full calendar */
.em.em-calendar {
	--text-color-soft: var(--mc-text-color);
	--header-color: var(--mc-text-color);
	--date-color: var(--mc-text-color);
	--date-box-border: 1px solid var(--mc-border-color);
	--header-border: 1px solid var(--mc-border-color);
	--date-border: 1px solid var(--mc-border-color);
}
.em.em-search .em-search-main.em-search-main-bar {
	--border-color: var(--mc-border-color);
}
.em.pixelbones .input button.button-primary {
	--accent-color: var(--mc-brand-color);
	--button-primary-color: #ffffff;
}
.em.pixelbones .input .button.em-calnav-today, .em.pixelbones .input .button.em-calnav-today:visited, .em.pixelbones .input .button.em-calnav-today:hover {
	background-color: var(--mc-brand-color) !important;
	color: #ffffff !important;
	border-color: var(--mc-brand-color) !important;
}
.em.em-calendar div.month-nav.input {
	background-color: white;
	border: 1px solid var(--mc-border-color);
	padding-top: 6px;
}

/*** WordPress Recent Posts and Categories Widgets */
/* force hide title */
.mc-recent-posts-no-title h5,
.mc-post-categories-no-title h5,
.mc-cloud-tag-no-title h5 {
	display: none;
	line-height: 0px;
	margin-bottom: 0px;
}
.mc-recent-posts-no-title ul,
.mc-post-categories-no-title ul,
.mc-cloud-tag-no-title ul {
	margin-top: 0px;
}

/*** Ultimate Member Plug-in ****/
/* form rows */
div.mc-um-form-row, div.um-account-tab {
	padding: 8px 8px 16px 8px;
	margin: 0px 0px 30px 0px;
	border-width: 1px 1px 1px 1px;
	border-style: solid;
	border-radius: var(--mc-container-border-radius);
	border-color: var(--mc-border-color);
	background-color: var(--mc-very-subtle-background-color);
}
/* get rid of the border under the field labels (in view mode) */
div.um-field-label {
	border-bottom: none !important;
}
/* form fields - value display - match color of disabled inputs */
div.um-field-value {
	padding-left: 12px !important;
	padding-right: 12px !important;
	border-style: none;
	opacity: .6;
	background-color: var(--ast-comment-inputs-background);
}
/* member directory cards */
.um-directory .um-member, .um-members .um-member {
	border-radius: var(--mc-container-border-radius);
}
/* restricted access replacement body */
.mc-um-restricted-full {
	background-image: url('/wp-content/uploads/2025/12/pexels-life-of-pix-4291-hero.jpg');
	background-position: center center;
	background-attachment: scroll;
	background-repeat: no-repeat;
	background-size: cover;
}
@media only screen and (min-width: 768px) {
	.mc-um-restricted-full {
		min-height: 300px; /* happy medium between sidebar/no sidebar */
	}
}
@media only screen and (max-width: 767px) {
	.mc-um-restricted-full {
		min-height: 300px; /* happy medium between sidebar/no sidebar */
	}
}